Update an agent’s name, description, status, or configuration.
Permission: agents:write (Pro plan and above)
agents:write
cURL
curl --request PATCH \ --url https://app.dacard.ai/api/agents/{id} \ --header 'Content-Type: application/json' \ --cookie __session= \ --data ' { "name": "<string>", "description": "<string>", "status": "active", "config": { "schedule": "<string>", "notifySlack": true, "productIds": [ "3c90c3cc-0d44-4b50-8888-8dd25736052a" ] } } '
{ "data": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "updated": true } }
Clerk session cookie. Authentication is handled by Clerk. Sign in at https://app.dacard.ai/sign-in to obtain a session.
active
paused
Agent-specific configuration (schedule, thresholds, notification settings)
Show child attributes
Agent updated
Was this page helpful?